#ifndef GERADE_X_FO_H
#define GERADE_X_FO_H

#include <CGAL/Cartesian.h>
#include <CGAL/Homogeneous.h>
#include <CGAL/Point_2.h>

// Template function object class which calculates the x-coordinate
// of a point at a line segment for a given parameter value t
// Parameters:
//    NumType_    the number type of the points coordinates
template <class NumType_> 
class Gerade_x {

public:
    typedef CGAL::Cartesian<NumType_> REP;
    typedef CGAL::Point_2<REP> Point;
    typedef list<Point> PointList;
    typedef vector<Point> Points; 

    Gerade_x() {}

    Gerade_x(const NumType_& a, const NumType_& b):a_(a), b_(b) {} 

    NumType_ operator() (NumType_ t) const {
	assert(t>=0 && t<=1);
	return 10*t;
    }

private:
    NumType_ a_;
    NumType_ b_;
};
#endif //GERADE_X_FO_H
