#ifndef TRICUSPOID_Y_FO_H
#define TRICUSPOID_Y_FO_H

#include <math.h>
#include "Types.h"


// Template function object class which calculates the y-coordinate
// of a point at a tricuspoid for a given parameter value t
// Parameters:
//    NumType_    the number type of the points coordinates
template <class NumType_> 
class Tricuspoid_y_FO {

public:
    typedef CGAL::Cartesian<NumType_> REP;
    typedef CGAL::Point_2<REP> Point;           
    
    Tricuspoid_y_FO(NumType_ a = 10.0) : a_(a){}    

    NumType_ operator() (NumType_ t) const {	
	return a_*(2*sin(t) - sin(2*t));
    }

private:    
    NumType_ a_;
};
#endif //TRICUSPOID_Y_FO_H
